# Upstream does not tag releases on GitHub, but we must use the GitHub source
# archives instead of the PyPI source distributions in order to obtain the
# tests.
%global commit 5112e1bf0e8f0c3666c6d9d21d10851998b2f339
%global forgeurl https://github.com/pfmoore/editables

Name:           python-editables
Version:        0.2.0
%forgemeta
Release:        %autorelease
Summary:        Editable installations

License:        MIT
URL:            %{forgeurl}
# PyPI source distributions lack tests; use the GitHub archive
Source0:        %{forgesource}

BuildArch:      noarch

BuildRequires:  python3-devel

# Most of the dependencies, and all of the pytest options, in tox.ini are for
# coverage analysis and for installation with pip/virtualenv. Rather than
# working around all of these, it is simpler not to use tox for dependency
# generation or testing.
BuildRequires:  python3dist(pytest)

%global common_description %{expand:
A Python library for creating “editable wheels”

This library supports the building of wheels which, when installed, will expose
packages in a local directory on sys.path in “editable mode”. In other words,
changes to the package source will be reflected in the package visible to
Python, without needing a reinstall.}

%description %{common_description}


%package -n python3-editables
Summary:        %{summary}

%description -n python3-editables %{common_description}


%prep
%forgeautosetup


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files editables


%check
%pytest


%files -n python3-editables -f %{pyproject_files}
# pyproject-rpm-macros handles LICENSE.txt; verify with “rpm -qL -p …”
%doc README.md


%changelog
%autochangelog
